Bug 33261 - SRM boot - could not find valid boot block
SRM boot - could not find valid boot block
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.0
alpha Linux
medium Severity low
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-26 11:54 EST by Pallas tech support
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-04 15:21:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pallas tech support 2001-03-26 11:54:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows 98)


All variants of partitioning (automatic, disk druid as well as fdisk)and 
installation finish perfectly without any warning. however, booting linux 
from the SRM prompt is impossible printing the message "could not find 
valid boot block".
Reason (thanks to mr. ernstl, redhat europe hotline):
the disk(s) used had a pre-configured dos-labelled partition table,
while SRM boot requires a BSD disk label.  but a person doing the 
installation cannot find this out, because the installation completes 
successfully, and Installation Guide 3.21 about SRM tells nothing about 
this error message. 

Reproducible: Always
Steps to Reproduce:
1.install on a dos-labelled disk using any partitioning variant
2.SRM>>> boot
3.
	

Actual Results:  get the SRM error message "could not find valid boot 
block"

Expected Results:  linux should just boot as suggested in the installation 
guide.

- as its known that SRM requires a BSD disk label to boot, the installer 
should at least give a warning.
- Installation Guide 3.21 about SRM boot should, include a hint that this 
error message suggests the partitioning to be checked weather using a BSD 
label.
Comment 1 Phil Copeland 2001-04-17 14:07:05 EDT
There are two methods of bootstrapping the Alpha
One is SRM and as you've seen has the drawback that it expects to see a BSD disk
label.
The OTHER method is via AlphaBIOS and that DOES use an MSDOS label and not a BSD
disk label.

So we're caught in a rock and a hard place.  It's not feasible for the installer
to determine which bootloading mechanism it's using (AlphaBIOS - MSDOS, SRM  -
BSDlabel)

If the disk is fresh and utterly unformatted it will by default opt for the
BSDlabel system, if it detects a MSDOS label it will plumb for the MSDOS option
based on 'it was perviously formatted as XXXX'

To get around this you can always use the fdisk method to change the label type
to BSD. Alternatively you can zero out the first track with nulls eg dd
if=/dev/zero of=/dev/sda count=1 bs=60000

Possibly, this needs better explained in the documentation.

Cheers

Phil
=--=
Comment 2 Richard D. Payne 2001-04-18 15:35:06 EDT
It's actually very simple to tell...if we've come from ALphaBIOS/MILO then
the system serial number in /proc/cpuinfo will be MILO-0000

for example from my XL300:

[rdp@talisman rdp]$ more /proc/cpuinfo
cpu                     : Alpha
cpu model               : EV5
cpu variation           : 0
cpu revision            : 0
cpu serial number       : Linux_is_Great!
system type             : Alcor
system variation        : Bret
system revision         : 0
system serial number    : MILO-0000
cycle frequency [Hz]    : 299989008
timer frequency [Hz]    : 1024.00
page size [bytes]       : 8192
phys. address bits      : 40
max. addr. space #      : 127
BogoMIPS                : 295.69
kernel unaligned acc    : 8 (pc=fffffc00003a019c,va=11ffffc6a)
user unaligned acc      : 0 (pc=0,va=0)
platform string         : N/A
cpus detected           : 0

If you boot from SRM then the field is blank.
Comment 3 Phil Copeland 2001-04-18 15:46:10 EDT
Ah ha,.. ok I'll pass that off to the installer team to see if they can tap into
that and make sensible adjustments

cheers

Phil
=--=
Comment 4 Phil Copeland 2001-06-04 15:21:43 EDT
Unfortunately Milo isn't officially supported 8/
Comment 5 Matt Wilson 2001-08-09 23:16:04 EDT
sorry, we can't fix MILO right now.

Note You need to log in before you can comment on or make changes to this bug.